Skip to main content
GET
/
v1
/
links
/
{link_id}
/
identity
/
Retrieve an identity
curl --request GET \
  --url https://prod.truv.com/v1/links/{link_id}/identity/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
import requests

url = "https://prod.truv.com/v1/links/{link_id}/identity/"

headers = {
"X-Access-Client-Id": "<api-key>",
"X-Access-Secret": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-Access-Client-Id': '<api-key>', 'X-Access-Secret': '<api-key>'}
};

fetch('https://prod.truv.com/v1/links/{link_id}/identity/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "first_name": "John",
  "last_name": "Doe",
  "id": "48427a36d43c4d5aa6324bc06c692456",
  "created_at": "2022-06-07T15:00:00Z",
  "updated_at": "2022-06-30T15:00:00Z",
  "full_name": "John Doe",
  "middle_initials": "K",
  "email": "john.doe@example.com",
  "ssn": "123456789",
  "date_of_birth": "1992-03-03",
  "home_address": {
    "street": "1 Morgan Ave",
    "city": "Los Angeles",
    "state": "CA",
    "zip": "90210",
    "country": "US"
  }
}
{
"error": {
"code": "authentication_failed",
"message": "No such token"
}
}
{
"error": {
"code": "not_authenticated",
"message": "Authentication credentials were not provided."
}
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

Link ID

Response

Person's identity information

first_name
string
required

First name

Example:

"John"

last_name
string
required

Last name

Example:

"Doe"

id
string

ID of the object

Example:

"48427a36d43c4d5aa6324bc06c692456"

created_at
string

Person's identity info was retrieved first time (ISO 8601)

Example:

"2022-06-07T15:00:00Z"

updated_at
string

Person's identity info was retrieved last time (ISO 8601)

Example:

"2022-06-30T15:00:00Z"

full_name
string

Full name

Example:

"John Doe"

middle_initials
string | null

Middle initials

Example:

"K"

email
string<email> | null

Email address

Example:

"john.doe@example.com"

ssn
string

Social security number (Full or last 4 digits)

Example:

"123456789"

date_of_birth
string<date> | null

Date of birth

Example:

"1992-03-03"

home_address
object | null

Home address